aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuis Chamberlain <mcgrof@kernel.org>2022-02-14 17:48:43 -0800
committerEryu Guan <guaneryu@gmail.com>2022-02-21 00:43:07 +0800
commit115096a405bc82ca6c8b46c2c08ee1f7e77eb4b1 (patch)
tree139be6d031fdf6751236ede096af8724e1b5d077
parentd01e8f25f31dd34c9c296099cf5dd35f13bb29e1 (diff)
downloadxfstests-dev-115096a405bc82ca6c8b46c2c08ee1f7e77eb4b1.tar.gz
btrfs/237: adjust uuid heuristics
Using $(findmnt -n -o UUID mount-directory) only works on util-linux v2.38, not on 2.37. Even debian-testing has util-linux v2.37, so use a mechanism which has worked for longer to fetch the UUID. Without this the test fails on permission failure on accessing the file /sys/fs/btrfs/"$uuid"/bg_reclaim_threshold as $uuid is empty. So while at it, add a check to ensure the UUID is never empty. Use $AWK_PROG in case the preferred awk program is not the preferred awk program. Cc: Karel Zak <kzak@redhat.com> Cc: Pankaj Raghav <p.raghav@samsung.com> Signed-off-by: Luis Chamberlain <mcgrof@kernel.org> Reviewed-by: Johannes Thumshirn <johannes.thumshirn@wdc.com> Tested-by: Adam Manzanares <a.manzanares@samsung.com> Signed-off-by: Eryu Guan <guaneryu@gmail.com>
-rwxr-xr-xtests/btrfs/2379
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/btrfs/237 b/tests/btrfs/237
index 5168777ee1..96940549ea 100755
--- a/tests/btrfs/237
+++ b/tests/btrfs/237
@@ -41,7 +41,14 @@ zonesize=$((zonesize << 9))
_scratch_mkfs >/dev/null 2>&1
_scratch_mount -o commit=1 # 1s commit time to speed up test
-uuid=$(findmnt -n -o UUID "$SCRATCH_MNT")
+uuid=$($BTRFS_UTIL_PROG filesystem show $SCRATCH_DEV |grep uuid: |\
+ $AWK_PROG '{print $NF}')
+
+if [[ "$uuid" == "" ]]; then
+ echo "UUID for $SCRATCH_DEV is empty, this is not expected"
+ exit 1
+fi
+
reclaim_threshold=75
echo $reclaim_threshold > /sys/fs/btrfs/"$uuid"/bg_reclaim_threshold
fill_percent=$((reclaim_threshold + 2))